Name: qpxtool
Version: 0.6.1
Release: alt3

Summary: QPxTool - CD/DVD quality check utility with QT GUI

Group: System/Configuration/Hardware
License: GPL
Url: http://qpxtool.sourceforge.net

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%name/%name-%version.tar.bz2
Patch: %name-%version.diff
Patch1: qpxtool-0.6.1-libata.patch

# manually removed: ananas kdepim-devel qt3-designer


# Automatically added by buildreq on Wed Sep 19 2007
BuildRequires: libqt3-devel gcc-c++ libXext-devel libqscintilla-designer

%description
QPxTool is the linux way to get full control over your CD/DVD drives. It
is the Open Source Solution which intends to give you access to all
available Quality Checks (Q-Checks) on written and blank media, that are
available for your drive. This will help you to find the right media and
the optimized writing speed for your hardware, which will increase the
change for a long data lifetime. See supported drives to get a list of
the currently supported hardware.

%package -n lib%name
Summary: Library files for %name
Group: Development/C

%description -n lib%name
This package contains the library files for %name

%package -n lib%name-devel
Summary: Development environment for %name
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel
Obsoletes: %name-devel

%description -n lib%name-devel
This package contains the include files for %name


%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
export QTDIR=%_libdir/qt3
export OPTFLAGS="%optflags"
export PATH=$QTDIR/bin:$PATH
%make_build


%install
%makeinstall_std LIBDIR=%_libdir

%post
%update_menus
%post_ldconfig

%postun
%clean_menus
%postun_ldconfig

%post -n lib%name
%post_ldconfig

%postun  -n lib%name
%postun_ldconfig

%files
%doc AUTHORS ChangeLog README TODO
%_bindir/deadreader
%_bindir/pioquiet
%_bindir/pxcontrol
%_bindir/pxfw
%_bindir/qpxtool
%_man8dir/*

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%_includedir/%name/
%_libdir/lib*.so

%changelog
* Thu Apr 24 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt3
- fix x86_64 build
- remove COPYING
- split libraries to standalone package, rename devel package to lib*-devel

* Wed Apr 23 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt2
- apply patch for kernel above 2.6.23
- fix build

* Wed Sep 19 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt1
- new version for Sisyphus

* Mon Sep 17 2007 Motsyo Gennadi <drool@altlinux.ru> 0.6.1-alt0.M40.1
- new version build for M40

* Mon Jun 04 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.0.9-alt1
- new version 0.6.0.9, fix build process, fix textrels
- fix typo in summary (bug #11795)

* Sun Aug 06 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.4-alt0.1
- initial build for Sisyphus
